--NECB PvE localized cast/cooldown Database; Afflictions are still stored in MAIN programme!

if ( GetLocale() == "deDE" ) then

	-- Spell Interruptions
	NECB_Interruptions = "Erdschock, Solarplexus, Anspringen, Bet\195\164uben, Bet\195\164ubung abfangen, Streuschuss, Kriegsstampfen, Verwandlung: Schwein, Furcht, Hammer der Gerechtigkeit, Kopfnuss, Sturmangriffsbet\195\164ubung, Bet\195\164ubender Schlag, Bet\195\164ubender Schlag, Verf\195\188hrung, Nierenhieb, Fieser Trick, Ersch\195\188tternder Schlag, Verbesserter Ersch\195\188tternder Schuss, Stich des Fl\195\188geldrachen, Rachebet\195\164ubung, Drohruf, Verwandlung: Schildkr\195\182te, Psychischer Schrei, Hieb, Druckwelle, Untote fesseln, Verbannen, Blenden, Gedankenkontrolle";


	CEnemyCastBar_Afflictions = {

	-- Warning: only add Spells with the "CEnemyCastBar_SPELL_AFFLICTED" pattern here!
	-- fragile="true", if mob with the same name dies, the bar won't be removed
	-- multi="true", the bar is not removed if debuff fades earlier (usefull if one spell is allowed to produce multiple afflictions)
	-- stun="true", flags all spells which use the same Diminishing Return timer. These 8 Spells were tested to use one and the same timer.
		-- stuntype="true", forces non stun="true" CastBars to use the stun-color
	-- death="true", removes the castbar although it is a "fragile"
	-- periodicdmg="true" -> don't update and remove those castbars, only allows periodic damage done by yourself
	-- spellDR="true", triggers a separate class DR Timer;
		-- always(!) use spellDR together with sclass="PlayersCLASS", or you will produce errors!
	-- affmob="true", this stun triggers a class specific DR Timer on a mob (not player), too
	-- drshare="name", all spells with the same drshare name will trigger the same DR Timer called 'name'
	-- checkclass="classname", will only show this spell to specified class
	-- tskill={talentTab, talentNumber, talentTimeBonus, talentClass, offset, relativeTimeBonus(optional) }, adds "talentTimeBonus" to the duration of this skill depending on invested skillpoints! "Offset" is additionally added to the duration if at least one talentpoint is invested.
	-- tskill={talentTab, talentNumber, checkValue} is used in combination with 'callspell' (s. below). If invested talent points ~= checkValue bar won't be updated (current example 'scorch')
	-- more to tskill: if "talentTimeBonus" is 0 then the relativeTimeBonus(optional) is used (percentage), needed for hunters talent
	-- plevel={durationBonusPerSkillLevel, PlayerLevelAbleToLearnNewSkillLevel (e.g. 60, 40, 20), exchangeLowestLevelWith "0" ALWAYS!} (correct examples are below)
	-- aZone="InstanceName" to only allow this spell to trigger a CastBar in the specific (Main)Zone. (Not the minimap zone, but the big global Zone e.g. Stormwind, not Trade District! Example: aZone="Ahn'Qiraj"
	-- blockZone="ZoneName" blocks the spell for the specified Zone (example: blockZone="Ahn'Qiraj" for 'Entangling Roots')
	-- cpinterval=X, reduces spell duration by X for every ComboPoint lower than 5 (maximum); ALWAYS use with cpclass="CHARACTERCLASS"!
	-- callspell=SpellName, the update feature will use this spell instead
	-- norenew=true won't update or trigger a castbar for this spell on "UNIT_SPELLCAST_SUCCEEDED"
	-- flying=true will add some time to the renew buff/debuff miss/resist system depending on the distance to the target (flying spells need from 0,2 to 1,4 seconds to hit their target and return a message)
	-- notdetected=true, use for spells not detected by combatlog messages ONLY! Will trigger a bar only for the player who casted it.
	-- spellbreaker=true indicates that this bar shall only be triggered if a spell interruption of your target has been detected

		-- Naturfreund | Warrior Afflictions
		["Spott"] = {t=3.0, multi="true", icontex="Spell_Nature_Reincarnation"};
		["Sp\195\182ttischer Schlag"] = {t=6.0, multi="true", icontex="Ability_Warrior_PunishingBlow"};
		["Herausforderungsruf"] = {t=6, multi="true", icontex="Ability_BullRush"};
		["Kniesehne"] = {t=15.0, icontex="Ability_ShockWave"};
		["Durchdringendes Heulen"] = {t=6.0, icontex="Spell_Shadow_DeathScream"};
			["Schildhieb - zum Schweigen gebracht"] = {t=4, solo="true", icontex="Ability_Warrior_ShieldBash"};
			["Ersch\195\188tternder Schlag"] = {t=5, solo="true", stun="true", icontex="Ability_ThunderBolt"};
			["Sturmangriffsbet\195\164ubung"] = {t=1, solo="true", stun="true", icontex="Ability_Warrior_Charge"};
			["Bet\195\164ubung Abfangen"] = {t=3, solo="true", stun="true", icontex="Ability_Rogue_Sprint"};
			["Rachebet\195\164ubung"] = {t=3, solo="true", stuntype="true", icontex="Ability_Warrior_Revenge"};
			["Drohruf"] = {t=8, solo="true", icontex="Ability_GolemThunderClap"};
			["Entwaffnen"] = {t=10, solo="true", icontex="Ability_Warrior_Disarm"};
			["T\195\182dlicher Sto\195\159"] = {t=10, solo="true", icontex="Ability_Warrior_SavageBlow"};
			["Streitkolbenbet\195\164ubung-Effekt"] = {t=3, solo="true", stuntype="true", icontex="Spell_Frost_Stun"};
		["Demoralisierender Ruf"] = {t=30, tskill={2, 1, 0, "WARRIOR", 0, 0.10}, checkclass="WARRIOR", icontex="Ability_Warrior_WarCry"};
		["Donnerknall"] = {t=30, checkclass="WARRIOR", icontex="Spell_Nature_ThunderClap"};
		["R\195\188stung zerrei\195\159en"] = {t=30, checkclass="WARRIOR", icontex="Ability_Warrior_Sunder"};
		["Verw\195\188sten"] = {callspell="R\195\188stung zerrei\195\159en"};
			-- periodic damage spells
				["Verwunden"] = {t=21, periodicdmg="true", icontex="Ability_Gouge"};
			-- not detected by combat log
				["Schildhieb"] = {t=6, notdetected=true, spellbreaker=true, icontex="Ability_Warrior_ShieldBash"};
				["Zuschlagen"] = {t=4, notdetected=true, spellbreaker=true, icontex="INV_Gauntlets_04"};

		-- Naturfreund | Mage Afflictions
		["Druckwelle"] = {t=6.0, solo="true", stuntype="true", icontex="Spell_Holy_Excorcism_02"};
		["Drachenodem"] = {t=3.0, solo="true", stuntype="true", icontex="INV_Misc_Head_Dragon_01"};
		["Verlangsamen"] = {t=15.0, icontex="Spell_Nature_Slow"}; --2.0
			["Arkanschlag"] = {t=8, magecold="true", icontex="Spell_Arcane_Blast"}; --2.0
			["Frostnova"] = {t=8.0, magecold="true", icontex="Spell_Frost_FrostNova"};
				["Eisk\195\164lte"] = {callspell="Frostnova"};
			["Erfrierung"] = {t=5.0, magecold="true", icontex="Spell_Frost_FrostArmor"};
			["K\195\164lte"] = {t=6.0, magecold="true", icontex="Spell_Frost_FrostArmor02"};
			["K\195\164ltekegel"] = {t=8.0, magecold="true", icontex="Spell_Frost_Glacier"};
			["Frostblitz"] = {t=10, magecold="true", flying=true, icontex="Spell_Frost_FrostBolt02"};
			["Winterk\195\164lte"] = {t=15, magecold="true", icontex="Spell_Frost_ChillingBlast"};
			["Feuerverwundbarkeit"] = {t=30, magecold="true", icontex="Spell_Fire_SoulBurn"};
		["Versengen"] = {callspell="Feuerverwundbarkeit", tskill={2, 10, 3} }; -- tskill exception, [3] has to be matched by talent points, otherwise does not update
		["Verwandlung"] = {t=50, plevel={10, 60, 40, 20, 0}, fragile="true", spellDR="true", drshare="Verwandlung", sclass="MAGE", icontex="Spell_Nature_Polymorph"};
		["Verwandlung: Schwein"] = {t=50, plevel={10, 60, 40, 20, 0}, fragile="true", spellDR="true", drshare="Verwandlung", sclass="MAGE", icontex="Spell_Magic_PolymorphPig"};
		["Verwandlung: Schildkr\195\182te"] = {t=50, plevel={10, 60, 40, 20, 0}, fragile="true", spellDR="true", drshare="Verwandlung", sclass="MAGE", icontex="Ability_Hunter_Pet_Turtle"};
			["Einschlag"] = {t=2, solo="true", stuntype="true", icontex="Spell_Fire_MeteorStorm"};
			["Gegenzauber - zum Schweigen gebracht"] = {t=4, solo="true", icontex="Spell_Frost_IceShock"};
			-- periodic damage spells
				["Flammensto\195\159"] = {t=8, periodicdmg="true", periodicAoE=true, icontex="Spell_Fire_SelfDestruct"};
				["Feuerball"] = {t=8, periodicdmg="true", icontex="Spell_Fire_FlameBolt"};
				["Pyroschlag"] = {t=12, periodicdmg="true", icontex="Spell_Fire_Fireball02"};
			-- not detected by combat log
				["Gegenzauber"] = {t=10, notdetected=true, spellbreaker=true, icontex="Spell_Frost_IceShock"};

		-- Naturfreund | Hunter Afflictions
		["Zurechtstutzen"] = {t=10, icontex="Ability_Rogue_Trip"};
			["Verbesserter Ersch\195\188tternder Schuss"] = {t=3, solo="true", stuntype="true", icontex="Spell_Frost_Stun"};
		["Eisk\195\164ltefalle"] = {t=20.0, plevel={5, 60, 40, 0}, tskill={3, 8, 0, "HUNTER", 0, 0.15}, fragile="true", spellDR="true", sclass="HUNTER", norenew=true, icontex="Spell_Frost_ChainsOfIce"};
		["Schw\195\164che aufdecken"] = {t=7.0, checkclass="HUNTER", icontex="Ability_Hunter_SniperShot"};
		["Ersch\195\188tternder Schuss"] = {t=4, flying=true, icontex="Spell_Frost_Stun"}; 
		["Vipernbiss"] = {t=8, flying=true, checkclass="HUNTER", icontex="Ability_Hunter_AimedShot"}; 
		["Gegenangriff"] = {t=5, icontex="Ability_Warrior_Challange"};
		["Skorpidstich"] = {t=20, flying=true, checkclass="HUNTER", icontex="Ability_Hunter_CriticalShot"};
			["Stich des Fl\195\188geldrachen"] = {t=12, flying=true, solo="true", icontex="INV_Spear_02"};
			["Streuschuss"] = {t=4.0, flying=true, solo="true", icontex="Ability_GolemStormBolt"};
			-- periodic damage spells
				["Schlangenbiss"] = {t=15, flying=true, periodicdmg="true", icontex="Ability_Hunter_Quickshot"};

		-- Naturfreund | Priest Afflictions
		["Schattenverwundbarkeit"] = {t=15, magecold="true", icontex="Spell_Shadow_ShadowBolt"};
		["Gedankenbes\195\164nftigung"] = {t=15, icontex="Spell_Holy_MindSooth"};
		["Untote fesseln"] = {t=50, plevel={10, 60, 40, 0}, fragile="true", spellDR="true", sclass="PRIEST", icontex="Spell_Nature_Slow"};
		["Gedankenkontrolle"] = {t=60, fragile="true", spellDR="true", sclass="PRIEST", icontex="Spell_Shadow_ShadowWordDominate"};
			["Psychischer Schrei"] = {t=8, solo="true", icontex="Spell_Shadow_PsychicScream"};
			["Stille"] = {t=5, solo="true", icontex="Spell_Shadow_ImpPhaseShift"};
			-- periodic damage spells
				["Schattenwort: Schmerz"] = {t=18, tskill={3, 4, 3, "PRIEST", 0}, periodicdmg="true", icontex="Spell_Shadow_ShadowWordPain"};
				["Verschlingende Seuche"] = {t=24, periodicdmg="true", icontex="Spell_Shadow_BlackPlague"};
				["Heiliges Feuer"] = {t=10, periodicdmg="true", directhit="true", icontex="Spell_Holy_SearingLight"};
				["Vampirber\195\188hrung"] = {t=15, periodicdmg="true", icontex="Spell_Holy_Stoicism"}; --2.0

		-- Naturfreund | Warlock Afflictions
			["Schattenfurie"] = {t=2, solo="true", stun="true", icontex="Spell_Shadow_Shadowfury"}; --2.0
		["Verbannen"] = {t=30, plevel={10, 48, 0}, fragile="true", spellDR="true", sclass="WARLOCK", icontex="Spell_Shadow_Cripple"};
		-- Succubus
		["Verf\195\188hrung"] = {t=15, fragile="true", spellDR="true", sclass="WARLOCK", drshare="Verf., Furcht", icontex="Spell_Shadow_MindSteal"};
			["Furcht"] = {t=20, solo="true", spellDR="true", sclass="WARLOCK", drshare="Verf., Furcht", icontex="Spell_Shadow_Possession"};
		["Fluch der Ersch\195\182pfung"] = {t=12, icontex="Spell_Shadow_GrimWard"};
			["Fluch der Zungen"] = {t=30, checkclass="WARLOCK", icontex="Spell_Shadow_CurseOfTounges"};
			["Fluch der Verdammnis"] = {t=60, checkclass="WARLOCK", icontex="Spell_Shadow_AuraOfDarkness"};
			-- periodic damage spells
				["Fluch der Pein"] = {t=24, periodicdmg="true", icontex="Spell_Shadow_CurseOfSargeras"};
				["Verderbnis"] = {t=18, periodicdmg="true", plevel={3, 24, 14, 0}, icontex="Spell_Shadow_AbominationExplosion"};
				["Feuerbrand"] = {t=15, periodicdmg="true", directhit="true", icontex="Spell_Fire_Immolation"};
				["Lebensentzug"] = {t=30, periodicdmg="true", icontex="Spell_Shadow_Requiem"};
				["Saat der Verderbnis"] = {t=18, periodicdmg="true", icontex="Spell_Shadow_SeedOfDestruction"}; --2.0
				["Instabiles Gebrechen"] = {t=18, periodicdmg="true", icontex="Spell_Shadow_UnstableAffliction_3"}; --2.0
			["Schattenbrand"] = {t=5, periodicdmg="true", icontex="Spell_Shadow_ScourgeBuild"}; -- special case

		-- Naturfreund | Rogue Afflictions
		["Verkr\195\188ppelndes Gift"] = {t=12, icontex="Ability_PoisonSting"};
		["T\195\182dlicher Wurf"] = {t=5.0, icontex="INV_ThrowingKnife_06"};
		["Kopfnuss"] = {t=45, plevel={10, 48, 28, 0}, fragile="true", spellDR="true", sclass="ROGUE", drshare="Kopfn., Solarpl.", icontex="Ability_Sap"};
			["Nierenhieb"] = {t=6, cpinterval=1, cpclass="ROGUE", solo="true", stuntype="true", spellDR="true", sclass="ROGUE", affmob="true", icontex="Ability_Rogue_KidneyShot"}; -- own DR
			["Fieser Trick"] = {t=4, solo="true", stun="true", icontex="Ability_CheapShot"};
			["Solarplexus"] = {t=4, tskill={2, 1, 0.5, "ROGUE", 0}, solo="true", stuntype="true", spellDR="true", sclass="ROGUE", drshare="Kopfn., Solarpl.", icontex="Ability_Gouge"}; -- normal 4sec verbessert 5.5sec (no DR)
			["Blenden"] = {t=10, solo="true", spellDR="true", sclass="ROGUE", icontex="Spell_Shadow_MindSteal"};
			["Tritt - zum Schweigen gebracht"] = {t=2, solo="true", icontex="Ability_Kick"};
			["Riposte"] = {t=6, solo="true", icontex="Ability_Warrior_Disarm"};
			["R\195\188stung schw\195\164chen"] = { t=30.0, checkclass="ROGUE", icontex="Ability_Warrior_Riposte" };
			["Erdrosseln - Stille"] = {t=3, solo="true", icontex="Spell_Shadow_ImpPhaseShift"}; --! check if 'Stille'
			-- periodic damage spells
				["Erdrosseln"] = {t=18, periodicdmg="true", icontex="Ability_Rogue_Garrote"};
				["Blutung"] = {t=16, cpinterval=2, cpclass="ROGUE", periodicdmg="true", icontex="Ability_Rogue_Rupture"};
			-- not detected by combat log
				["Ablenken"] = {t=10, notdetected=true, icontex="Ability_Rogue_Distract"};
				["Tritt"] = {t=5, notdetected=true, spellbreaker=true, icontex="Ability_Kick"};

		-- Naturfreund | Druid Afflictions
		["Knurren"] = {t=3, multi="true", icontex="Ability_Physical_Taunt"};
		["Herausforderndes Gebr\195\188ll"] = {t=6, multi="true", icontex="Ability_Druid_ChallangingRoar"};
		["Wirbelsturm"] = {t=6, spellDR="true", sclass="DRUID", affmob="true", icontex="Spell_Nature_EarthBind"}; --2.0
		["Zerfleddern"] = {t=6, cpinterval=1, cpclass="DRUID", spellDR="true", sclass="DRUID", solo="true", stuntype="true", icontex="Ability_Druid_Mangle"}; --2.0
		["Wucherwurzeln"] = {t=27, fragile="true", death="true", blockZone="Ahn'Qiraj", spellDR="true", sclass="DRUID", icontex="Spell_Nature_StrangleVines"};
		["Winterschlaf"] = {t=40, plevel={10, 58, 38, 0}, fragile="true", spellDR="true", sclass="DRUID", icontex="Spell_Nature_Sleep"};
			["Hieb"] = {t=4, tskill={2, 4, 0.5, "DRUID", 0}, plevel={1, 46, 30, 0}, solo="true", stun="true", icontex="Ability_Druid_Bash"};
			["Anspringen"] = {t=3, tskill={2, 4, 0.5, "DRUID", 0}, solo="true", stun="true", icontex="Ability_Druid_SupriseAttack"};
			["Wilde Attacke"] = {t=4, solo="true", icontex="Ability_Hunter_Pet_Bear"};
		["Feenfeuer"] = {t=40, checkclass="DRUID", icontex="Spell_Nature_FaerieFire"};
		["Demoralisierendes Gebr\195\188ll"] = {t=30, checkclass="DRUID", icontex="Ability_Druid_DemoralizingRoar"};
		["Zerfleischen"] = {t=12, checkclass="DRUID", icontex="Ability_Druid_Mangle2"}; --2.0
		["Aufschlitzen"] = {t=15, checkclass="DRUID", icontex="Ability_Druid_Lacerate"}; --2.0
		["Tier bes\195\164nftigen"] = {t=15, icontex="Ability_Hunter_BeastSoothe"};
		["Sternenfeuerbet\195\164ubung"] = {t=3, solo="true", stun="true", icontex="Spell_Arcane_StarFire"}; --! check
			-- periodic damage spells
				["Insektenschwarm"] = {t=12, periodicdmg="true", icontex="Spell_Nature_InsectSwarm"};
				["Mondfeuer"] = {t=12, periodicdmg="true", directhit="true", icontex="Spell_Nature_StarFall"};
				["Zerfetzen"] = {t=12, periodicdmg="true", icontex="Ability_GhoulFrenzy"};
				["Krallenhieb"] = {t=9, periodicdmg="true", icontex="Ability_Druid_Disembowel"};

		-- Naturfreund | Paladin Afflictions
			["Hammer der Gerechtigkeit"] = {t=6, solo="true", stun="true", icontex="Spell_Holy_SealOfMight"};
			["Bu\195\159e"] = {t=6, solo="true", icontex="Spell_Holy_PrayerOfHealing"};
		["Rechtschaffene Verteidigung"] = {t=3.0, multi="true", icontex="INV_Shoulder_37"};
			-- periodic damage spells
				["Weihe"] = {t=8, periodicdmg="true", icontex="Spell_Holy_InnerFire"};

		-- Naturfreund | Shaman Afflictions
		["Frostschock"] = {t=8.0, magecold="true", spellDR="true", sclass="SHAMAN", icontex="Spell_Frost_FrostShock"};
			-- periodic damage spells
				["Flammenschock"] = {t=12, periodicdmg="true", directhit="true", icontex="Spell_Fire_FlameShock"};
			-- not detected by combat log
				["Erdschock"] = {t=2, notdetected=true, spellbreaker=true, icontex="Spell_Nature_EarthShock"};

		-- Naturfreund | Other Afflictions
		["Kriegsstampfen"] = {t=2, solo="true", stun="true", icontex="Ability_WarStomp"};
		["Arkaner Strom"] = {t=2, solo="true", icontex="Spell_Shadow_Teleport"};
		["Gezeitengl\195\188cksbringer"] = {t=3, solo="true", stuntype="true", icontex="INV_Misc_Rune_01"};


	-- Naturfreund | Raidencounter Afflictions
	-- gobal="true" creates a castbar even without a target!
	-- have been moved into PvE section!


	-- REMOVALS
	-- just to remove the bar if this spell fades (t is useless here) | only the spells in "CEnemyCastBar_Afflictions" are checked by the "fade-engine"

		-- Other
		["Raserei"] = {t=0, global="true"};
		[CECB_SPELL_STUN_DR] = {t=0}; -- don't translate, used internally! clear the dimishing return timer if mob dies


	}

end