--NECB PvE localized cast/cooldown Database; Afflictions are still stored in MAIN programme!


-- Add new internal spell names here from now on, pls :D

if ( GetLocale() == "zhTW" ) then

	-- specials
	NECB_Victory_Rush = "勝利衝鋒";
	NECB_Summon_Water = "Summon Water Elemental";
	NECB_Shadowfiend = "Shadowfiend"; --! translate

    CEnemyCastBar_Spells = {
	-- IMPORTANT: Maybe some spells which cause debuffs have to be moved to CEnemyCastBar_Afflictions to be shown
	-- "t=x" defines the normal length of the castbar. "d=x" will add a cooldown timer for spells with a casttime and for gains.
	-- "g=0" prevents a bar if a player gains this spell. "g=x" shows a bar of x seconds instead of "t=x" if it's a gain. (Even prevents CD if it's a gain.)
	-- "i=x" shows a bar of x seconds additional to "t" (everytime)
	-- HoT=true, spell stacks of HoTs will be counted; spell is able to be updated by player casts on target
	-- onfade=true, cooldown timer will be reset to full duration if the spell fades (to have an exact timing for 'Inner Focus' etc.)
	-- icasted=true, used for instant casts ("Player xy casts spell.")
	-- cgain=true, are able to be updated by player casts on target (HoT=true and cgain=true are beeing treated the same by the update feature.)

        -- All Classes
            -- General
        ["爐石"] = {t=10.0, icontex="INV_Misc_Rune_01"};

            -- Trinkets & Racials
        ["脆弱護甲"] =              {t=20.0, d=120, icontex="Spell_Shadow_GrimWard"}; -- gain
        ["能量無常"] =              {t=20.0, d=120, icontex="Spell_Lightning_LightningBolt01"}; -- gain
        ["充沛之力"] =              {t=20.0, d=120, icontex="Spell_Shadow_GrimWard"}; -- gain
        ["短暫強力"] =              {t=15.0, d=90, icontex="Spell_Holy_MindVision"}; -- gain
        ["祕法強化"] =              {t=15.0, d=180, icontex="Spell_Nature_Lightning"}; -- gain
        ["大規模殺傷性魔法"] =      {t=20.0, d=180, icontex="Spell_Fire_WindsofWoe"}; -- gain
        ["祕法潛能"] =              {t=20.0, d=180, icontex="Spell_Arcane_StarFire"}; -- gain
        ["能量護盾"] =              {t=20.0, d=180, icontex="Spell_Nature_CallStorm"}; -- gain
        ["輝煌之光"] =              {t=20.0, d=180, icontex="Spell_Holy_MindVision"}; -- gain
        ["亡靈意志"] =              {t=5.0, d=120, icontex="Spell_Shadow_RaiseDead"}; -- gain
        ["感知"] =                  {t=20.0, d=180, icontex="Spell_Nature_Sleep"}; -- gain
        ["瑪爾里的思想加速"] =      {t=30.0, d=180, icontex="INV_ZulGurubTrinket"}; -- gain
        ["戰爭踐踏"] =              {t=0.5, d=120, icontex="Ability_WarStomp"};
        ["石像形態"] =              {t=8.0, d=180, icontex="Spell_Shadow_UnholyStrength"};

        ["大地之擊"] =              {t=20.0, d=120, icontex="Spell_Nature_AbolishMagic"}; -- gain
        ["生命賜福"] =              {t=20.0, d=300, icontex="INV_Misc_Gem_Pearl_05"}; -- gain
        ["自然之盟"] =              {t=20.0, d=300, icontex="Spell_Nature_SpiritArmor"}; -- gain

	["Gift of the Naaru"] = 	{t=1.5, g=15.0, HoT=true, icontex="Spell_Holy_HolyProtection"}; -- BC HoT Draenei --! translate

            -- Engineering
        --["冰霜反射器"] =            {t=5.0, d=300.0, icontex="Spell_Frost_FrostWard"}; -- gain
        --["暗影反射器"] =            {t=5.0, d=300.0, icontex="Spell_Shadow_AntiShadow"}; -- gain
        --["火焰反射器"] =            {t=5.0, d=300.0, icontex="Spell_Fire_SealOfFire"}; -- gain
        ["寒冰偏斜器"] =            {t=5.0, d=300.0, icontex="Spell_Frost_FrostWard"}; -- gain
        ["快速暗影反射器"] =        {t=5.0, d=300.0, icontex="Spell_Shadow_AntiShadow"}; -- gain
        ["高輻射烈焰反射器"] =      {t=5.0, d=300.0, icontex="Spell_Fire_SealOfFire"}; -- gain

            -- First Aid
        ["急救"] =              {t=8.0, d=60, icontex="Spell_Holy_Heal"}; -- gain

        -- Druid
        ["治療之觸"] =    {t=3.0, icontex="Spell_Nature_HealingTouch"};
        ["癒合"] =        {t=2.0, g=21.0, HoT=true, icontex="Spell_Nature_ResistNature"};
        ["複生"] =        {t=2.0, d=1800.0, icontex="Spell_Nature_Reincarnation"};
        ["星火術"] =      {t=3.0, icontex="Spell_Arcane_StarFire"};
        ["憤怒"] =        {t=1.5, icontex="Spell_Nature_AbolishMagic"};
        ["糾纏根鬚"] =    {t=1.5, icontex="Spell_Nature_StrangleVines"};
        ["急奔"] =        {t=15.0, d=300.0, icontex="Ability_Druid_Dash"}; -- gain
        ["休眠"] =        {t=1.5, icontex="Spell_Nature_Sleep"};
        ["安撫動物"] =    {t=1.5, icontex="Ability_Hunter_BeastSoothe"};
        ["樹皮術"] =      {t=15.0, d=60, icontex="Spell_Nature_StoneClawTotem"}; -- gain
        ["啟動"] =        {t=20.0, cgain=true, icontex="Spell_Nature_Lightning"}; -- gain
        ["傳送：月光林地"] =   {t=10.0, icontex="Spell_Arcane_TeleportMoonglade"};
        ["猛虎之怒"] =    {t=6.0, icontex="Ability_Mount_JungleTiger"}; -- gain
        ["狂暴回復"] =    {t=10.0, d=180.0, icontex="Ability_BullRush"}; -- gain
        ["回春術"] =      {t=12.0, HoT=true, icontex="Spell_Nature_Rejuvenation"}; -- gain
        ["驅毒術"] =      {t=8.0, cgain=true, icontex="Spell_Nature_NullifyPoison_02"}; -- gain
        ["寧靜"] =        {t=8.0, icontex="Spell_Nature_Tranquility"};
	["自然之握"] = 		{t=45, d=60, icontex="Spell_Nature_NaturesWrath"}; -- talent gain
	["颶風術"] = {t=1.5, icontex="Spell_Nature_EarthBind"};
	["生命之花"] = {t=7, cgain=true, icontex="INV_Misc_Herb_Felblossom"}; -- gain
	["自然之力"] = {t=30, d=180, icasted=true, icontex="Ability_Druid_ForceofNature"}; -- gain  --! translate (correct?)
	["自然迅捷"] = {d=180, onfade=true, icontex="Spell_Nature_RavenForm"}; -- gain

        -- Hunter
        ["瞄準射擊"] = {t=3.0, d=6.0, icontex="INV_Spear_07"};
        ["恐嚇野獸"] = {t=1.0, d=30.0, icontex="Ability_Druid_Cower"};
        ["亂射"] = {t=6.0, d=60.0, icontex="Ability_Marksmanship"};
        ["解散寵物"] = {t=5.0, icontex="Spell_Nature_SpiritWolf"};
        ["復活寵物"] = {t=10.0, icontex="Ability_Hunter_BeastSoothe"};
        ["野獸之眼"] = {t=2.0, icontex="Ability_EyeOfTheOwl"};
        ["急速射擊"] = {t=15.0, d=300.0, icontex="Ability_Hunter_RunningShot"}; -- gain
        ["威懾"] = {t=10, d=300.0, icontex="Ability_Whirlwind"}; -- gain
        ["多重射擊"] = {d=10.0, icontex="Ability_UpgradeMoonGlaive"};
	["狂野怒火"] = {t=18, d=120.0, icontex="Ability_Druid_FerociousBite"}; -- Pet gain
	["獸心"] = {t=18, d=120, icontex="Ability_Hunter_BeastWithin"}; -- gain, Talent
	["準備就緒"] = {d=300, icasted=true, icontex="Ability_Hunter_Readiness"}; -- Talent


        -- Mage
        ["寒冰箭"] = {t=2.5, icontex="Spell_Frost_FrostBolt02"};
        ["火球術"] = {t=3.0, icontex="Spell_Fire_FlameBolt"};
        ["變形術"] = {t=1.5, icontex="Spell_Nature_Polymorph"};
        ["變豬術"] = {t=1.5, icontex="Spell_Magic_PolymorphPig"};
        ["變龜術"] = {t=1.5, icontex="Ability_Hunter_Pet_Turtle"};
        ["炎爆術"] = {t=6.0, icontex="Spell_Fire_Fireball02"};
        ["灼燒"] = {t=1.5, icontex="Spell_Fire_SoulBurn"};
        ["烈焰風暴"] = {t=3.0, r="死爪地卜師", a=2.5, icontex="Spell_Fire_SelfDestruct"};
        ["緩落術"] = {t=30.0, icontex="Spell_Magic_FeatherFall"}; -- gain
        ["防護火焰結界"] = {t=30.0, icontex="Spell_Fire_FireArmor"}; -- gain
        ["防護冰霜結界"] = {t=30.0, icontex="Spell_Frost_FrostWard"}; -- gain
        ["喚醒"] = {t=8.0, d=480, icontex="Spell_Nature_Purge"}; -- gain
        ["寒冰屏障"] = {t=10.0, d=300.0, icontex="Spell_Frost_Frost"}; -- gain
        ["寒冰護體"] = {d=30.0, icontex="Spell_Ice_Lament"};
        ["閃現術"] = {d=15.0, icontex="Spell_Arcane_Blink"};
		["隱形術"] = {t=8, d=300, icontex="Ability_Mage_Invisibility"}; -- gain
		["水箭"] = {t=2.5, icontex="Spell_Frost_FrostBolt"}; -- Mage Talent ('Pet' Spell)
		["祕法衝擊"] = {t=2.5, icontex="Spell_Arcane_Blast"};
		[NECB_Summon_Water] = {t=45, d=180, icasted=true, icontex="Spell_Frost_SummonWaterElemental_2"}; --2.0 Talent --! translate
		["急速冷卻"] = {d=600, icasted=true, icontex="Spell_Frost_WizardMark"};
		["力量的證明"] = {d=180, onfade=true, icontex="Spell_Nature_EnchantArmor"}; -- gain
		["燃燒"] = {d=180, icontex="Spell_Fire_SealOfFire"}; -- gain


        -- Paladin
        ["聖光術"] = {t=2.5, icontex="Spell_Holy_HolyBolt"};
        ["聖光閃現"] = {t=1.5, icontex="Spell_Holy_FlashHeal"};
        ["召喚戰馬"] = {t=3.0, g=0.0, icontex="Ability_Mount_Charger"};
        ["召喚軍馬"] = {t=3.0, g=0.0, icontex="Spell_Nature_Swiftness"};
        ["憤怒之錘"] = {t=1.0, d=6.0, icontex="Ability_ThunderClap"};
        ["神聖憤怒"] = {t=2.0, d=60.0, icontex="Spell_Holy_Excorcism"};
        ["超渡不死生物"] = {t=1.5, d=30.0, icontex="Spell_Holy_TurnUndead"};
        ["救贖"] = {t=10.0, icontex="Spell_Holy_Resurrection"};
        ["聖佑術"] = {t=8.0, d=300.0, icontex="Spell_Holy_Restoration"}; -- gain
        ["聖盾術"] = {t=12.0, d=300.0, icontex="Spell_Holy_DivineIntervention"}; -- gain
        ["自由祝福"] = {t=16.0, icontex="Spell_Holy_SealOfValor"}; -- gain
        ["保護祝福"] = {t=10.0, d=60, icontex="Spell_Holy_SealOfProtection"}; -- gain
        ["犧牲祝福"] = {t=30.0, icontex="Spell_Holy_SealOfSacrifice"}; -- gain
        ["復仇"] = {t=8.0, icontex="Ability_Racial_Avatar"}; -- gain, Talent
		["報復神譴"] = {t=20, d=180, icontex="Spell_Holy_AvengineWrath"}; -- gain
		["神聖啟發"] = {t=15, d=180, icontex="Spell_Holy_DivineIllumination"}; -- gain, Talent
		["復仇者之盾"] = {t=1, d=30, icontex="Spell_Holy_AvengersShield"}; -- Talent
		["神恩術"] = {d=120, onfade=true, icontex="Spell_Holy_Heal"}; -- gain, Talent
		["神聖之盾"] = {t=10, icontex="Spell_Holy_BlessingOfProtection"}; -- gain
		["神聖震擊"] = {d=15, icasted=true, icontex="Spell_Holy_SearingLight"}; -- gain


        -- Priest
        ["強效治療術"] = {t=2.5, g=15, HoT=true, icontex="Spell_Holy_GreaterHeal"};
        ["治療術"] = {t=2.5, icontex="Spell_Holy_Heal"};
        ["快速治療"] = {t=1.5, icontex="Spell_Holy_FlashHeal"};
        ["復活術"] = {t=10.0, icontex="Spell_Holy_Resurrection"};
        ["懲擊"] = {t=2.0, icontex="Spell_Holy_HolySmite"};
        ["心靈震爆"] = {t=1.5, d=8.0, icontex="Spell_Shadow_UnholyFrenzy"};
        ["精神控制"] = {t=3.0, g=0.0, icontex="Spell_Shadow_ShadowWordDominate"};
        ["法力燃燒"] = {t=3.0, icontex="Spell_Shadow_ManaBurn"};
        ["神聖之火"] = {t=3.0, icontex="Spell_Holy_SearingLight"};
        ["安撫心靈"] = {t=1.5, icontex="Spell_Holy_MindSooth"};
        ["治療禱言"] = {t=3.0, icontex="Spell_Holy_PrayerOfHealing02"};
        ["束縛不死生物"] = {t=1.5, icontex="Spell_Nature_Slow"};
        ["漸隱術"] = {t=10.0, d=30.0, icontex="Spell_Magic_LesserInvisibilty"}; -- gain
        ["恢復"] = {t=15.0, HoT=true, icontex="Spell_Holy_Renew"}; -- gain
        ["驅除疾病"] = {t=20.0, cgain=true, icontex="Spell_Nature_NullifyDisease"}; -- gain
        ["回饋"] = {t=15.0, d=180, icontex="Spell_Shadow_RitualOfSacrifice"}; -- gain
        ["靈感"] = {t=15.0, icontex="INV_Shield_06"}; -- gain (target), Talent
        ["注入能量"] = {t=15.0, d=180, icontex="Spell_Holy_PowerInfusion"}; -- gain, Talent
        ["專注施法"] = {t=6.0, icontex="Spell_Arcane_Blink"}; -- gain, Talent
        ["真言術：盾"] = {t=30, d=15.0, icontex="Spell_Holy_PowerWordShield"};
        ["信仰護盾"] = {t=30.0, icontex="Spell_Holy_BlessingOfProtection"}; -- gain, Priest Tier 3 [Vestments of Faith] 4/9 Proc
		["心靈專注"] = {d=180, onfade=true, icontex="Spell_Frost_WindWalkOn"}; -- gain, Talent
		["群體驅魔"] = {t=1.5, icontex="Spell_Arcane_MassDispel"};
		["束縛治療"] = {t=1.5, icontex="Spell_Holy_BlindingHeal"};
		["痛苦抑制"] = {t=8, d=180, icontex="Spell_Holy_PainSupression"}; -- gain, Talent
		["吸血之觸"] = {t=1.5, icontex="Spell_Holy_Stoicism"}; -- Talent
		["光束泉"] = {t=1.5, d=360, icontex="Spell_Holy_SummonLightwell"}; -- Talent
		[NECB_Shadowfiend] = {t=15, d=300, icasted=true, icontex="Spell_Shadow_Shadowfiend"}; --2.0

        -- Rogue
        ["解除陷阱"] = {t=2.0, icontex="Spell_Shadow_GrimWard"};
        ["疾跑"] = {t=15.0, d=300.0, icontex="Ability_Rogue_Sprint"}; -- gain
        ["開鎖"] = {t=5.0, icontex="Spell_Nature_MoonKey"};
        ["閃避"] = {t=15.0, d=300, icontex="Spell_Shadow_ShadowWard"}; -- gain
        ["消失"] = {t=10.0, d=300, icontex="Ability_Vanish"}; -- gain
        ["劍刃亂舞"] = {t=15.0, d=120, icontex="Ability_Rogue_SliceDice"}; -- gain
	["冷血"] = {d=180, onfade=true, icontex="Spell_Ice_Lament"};  -- gain, Talent
	["能量刺激"] = {t=15, d=300, icontex="Spell_Shadow_ShadowWordDominate"}; -- gain, Talent
		["暗影掩飾"] = {t=5, d=60, icontex="Spell_Shadow_NetherCloak"}; -- gain
		["伺機待發"] = {d=600, icasted=true, icontex="Spell_Shadow_AntiShadow"}; -- Talent
		["Shadowstep"] = {t=10, d=20, icontex="Ability_Rogue_Shadowstep"}; -- gain

        -- Shaman
        ["次級治療波"] = {t=1.5, icontex="Spell_Nature_HealingWaveLesser"};
        ["治療波"] = {t=2.5, icontex="Spell_Nature_MagicImmunity"}; -- talent
        ["先祖之魂"] = {t=10.0, icontex="Spell_Nature_Regenerate"};
        ["閃電鏈"] = {t=2.5, d=6.0, icontex="Spell_Nature_ChainLightning"};
        ["幽魂之狼"] = {t=1.0, icontex="Spell_Nature_SpiritWolf"};
        ["星界傳送"] = {t=10.0, icontex="Spell_Nature_AstralRecal"};
        ["治療鏈"] = {t=2.5, icontex="Spell_Nature_HealingWaveGreater"};
        ["閃電箭"] = {t=3.0, icontex="Spell_Nature_Lightning"};
        ["視界術"] = {t=2.0, icontex="Spell_Nature_FarSight"};
        ["石爪圖騰"] = {t=15.0, d=30.0, icasted=true, icontex="Spell_Nature_StoneClawTotem"}; -- gain
        ["法力之潮圖騰"] = {t=12.0, d=300.0, icasted=true, icontex="Spell_Frost_SummonWaterElemental"}; -- gain
        ["火焰新星圖騰"] = {t=5.0, d=15.0, icasted=true, icontex="Spell_Fire_SealOfFire"}; -- gain
        ["風暴打擊"] = {t=12.0, d=10, icontex="Spell_Holy_SealOfMight"}; -- gain
        ["先祖堅韌"] = {t=15.0, icontex="Spell_Nature_UndyingStrength"}; -- gain (target), Talent
        ["治療之路"] = {t=15.0, icontex="Spell_Nature_HealingWay"}; -- gain (target), Talent
        ["根基圖騰"] = {d=15.0, icasted=true, icontex="Spell_Nature_GroundingTotem"};
		    ["元素專精"] = {d=180, onfade=true, icontex="Spell_Nature_WispHeal"}; -- gain, Talent
		["薩滿之怒"] = {t=30, d=120, icontex="Spell_Nature_ShamanRage"}; -- gain, Talent
		["Fire Elemental Totem"] = {d=1200, icasted=true, icontex="Spell_Fire_Elemental_Totem"}; -- gain --! translate
		["先祖治療"] = {t=15.0, icontex="Spell_Nature_UndyingStrength"}; -- gain (target), Talent


        -- Warlock
        ["暗影箭"] = {t=2.5, icontex="Spell_Shadow_ShadowBolt"};
        ["獻祭"] = {t=1.5, icontex="Spell_Fire_Immolation"};
        ["靈魂之火"] = {t=4.0, d=60.0, icontex="Spell_Fire_Fireball02"};
        ["灼熱之痛"] = {t=1.5, icontex="Spell_Fire_SoulBurn"};
        ["召喚小鬼"] = {t=6.0, icontex="Spell_Shadow_Imp"};
        ["召喚魅魔"] = {t=6.0, icontex="Spell_Shadow_SummonSuccubus"};
        ["召喚虛空行者"] = {t=6.0, icontex="Spell_Shadow_SummonVoidWalker"};
        ["召喚地獄獵犬"] = {t=6.0, icontex="Spell_Shadow_SummonFelHunter"};
        ["恐懼術"] = {t=1.5, icontex="Spell_Shadow_Possession"};
        ["恐懼嚎叫"] = {t=2.0, d=40.0, icontex="Spell_Shadow_DeathScream"};
        ["放逐術"] = {t=1.5, icontex="Spell_Shadow_Cripple"};
        ["召喚儀式"] = {t=5.0, icontex="Spell_Shadow_Twilight"};
        ["末日儀式"] = {t=10.0, icontex="Spell_Shadow_AntiMagicShell"};
        ["奴役惡魔"] =  {t=3.0, icontex="Spell_Shadow_EnslaveDemon"};
        ["地獄火"] = {t=2.0, d=3600, icontex="Spell_Fire_Incinerate"};
        ["防護暗影結界"] =    {t=30.0, icontex="Spell_Shadow_AntiShadow"}; -- gain
        ["詛咒增幅"] = {d=180, onfade=true, icontex="Spell_Shadow_Contagion"}; -- gain
		["腐蝕種子"] = {t=2, icontex="Spell_Shadow_SeedOfDestruction"};
		["靈魂典禮"] = {t=3, d=300, icontex="Spell_Shadow_Shadesofdarkness"};
		["燒盡"] = {t=2.5, icontex="Spell_Fire_FlameShock"};
		["Unstable Affliction"] = {t=1.5, icontex="Spell_Shadow_UnstableAffliction_3"}; --! translate
		["Shadowfury"] = {t=0.5, d=20, icontex="Spell_Shadow_Shadowfury"}; --! translate
		["Summon Felguard"] = {t=6, icontex="Spell_Shadow_SummonFelGuard"}; --! translate
		["惡魔支配"] = {d=900, onfade=true, icontex="Spell_Shadow_SummonFelGuard"}; -- gain, talent
		["靈魂石復活"] = {t=3, d=1800, g=0, icontex="INV_Misc_Orb_04"};
		["Nether Protection"] = {t=4, icontex="Spell_Shadow_NetherProtection"}; -- gain, talent proc --! translate

            -- Imp
            ["火焰箭"] =   {t=1.5, icontex="Spell_Fire_FireBolt"};

            -- Succubus
            ["誘惑"] =    {t=1.5, icontex="Spell_Shadow_MindSteal"};
            ["安撫之吻"] =  {t=4.0, d=4.0, icontex="Spell_Shadow_SoothingKiss"};

            -- Voidwalker
            ["吞噬暗影"] = {t=10.0, icontex="Spell_Shadow_AntiShadow"}; -- gain

        -- Warrior
        ["血性狂暴"] = {t=10.0, d=60, icontex="Ability_Racial_BloodRage"}; -- gain
        ["嗜血"] = {t=8.0, d=6, icontex="Spell_Nature_BloodLust"}; -- gain
        ["盾牆"] = {t=10.0, d=1800.0, icontex="Ability_Warrior_ShieldWall"}; -- gain
        ["魯莽"] = {t=15.0, d=1800.0, icontex="Ability_CriticalStrike"}; -- gain
        ["反擊風暴"] = {t=15.0, d=1800.0, icontex="Ability_Warrior_Challange"}; -- gain
        ["狂暴之怒"] = {t=10.0, d=30, icontex="Spell_Nature_AncestralGuardian"}; -- gain
	["破釜沉舟"] = {t=20.0, d=480, icontex="Spell_Holy_AshesToAshes"}; -- gain
        ["死亡之願"] = {t=30.0, d=180, icontex="Spell_Shadow_DeathPact"}; -- gain
        -- ["狂怒"] = {t=12.0, icontex="Spell_Shadow_UnholyFrenzy"}; -- gain
        ["盾牌格擋"] = {t=6, icontex="Ability_Defend"}; -- gain, 1 Talent point in impr. block
		["法術反轉"] = {t=5, d=10, icontex="Ability_Warrior_ShieldReflection"}; -- gain
		["Rampage"] = {t=30, icontex="Ability_Warrior_Rampage"}; -- gain --! translate
		[NECB_Victory_Rush] = {t=15, icontex="Ability_Warrior_Devastate"}; --2.0 special

    }

end